#!/bin/bash
[ "$UID" != 0 ] && { exec sudo bash "$0" && exit 0; }
echo "Замена репозиториев Void."
#mirror="https://mirror.yandex.ru/mirrors/voidlinux/current/musl"
mirror="https://mirror.yandex.ru/mirrors/voidlinux/current"
folder="/etc/xbps.d"
mkdir -p "$folder"
# добавление файлов конфигурации
echo "repository=$mirror" >"$folder/00-repository-main.conf"
echo "repository=$mirror/nonfree" >"$folder/10-repository-nonfree.conf"
# обновление установщика пакетов
xbps-install -y -u xbps || exit 1
# синхронизация и обновление
xbps-install -y -Su || exit 1
